<template>
    <ion-page>
        <ion-header :translucent="true">
            <ion-toolbar>
                <ion-buttons slot="start">
                    <ion-menu-button color="primary"></ion-menu-button>
                </ion-buttons>
                <ion-title>404</ion-title>
            </ion-toolbar>
        </ion-header>

        <ion-content :fullscreen="true">
            <canvas id="canvas404" />

            <div id="container">
                <strong class="capitalize">WiFi IoT</strong>
                <h2>Stránka nebyla nalezena</h2>

                <ion-button color="primary" router-link="/">Domů</ion-button>
            </div>
        </ion-content>
    </ion-page>
</template>

<script setup lang="ts">
import { onMounted } from 'vue'
import {
    IonButtons,
    IonButton,
    IonContent,
    IonHeader,
    IonMenuButton,
    IonPage,
    IonTitle,
    IonToolbar,
} from '@ionic/vue'
import animation from '@/animation/animation'

onMounted(() => {
    animation()
})
</script>

<style scoped>
#container {
    text-align: center;
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}

#container strong {
    font-size: 20px;
    line-height: 26px;
}

canvas {
    width: 100vw;
    height: 100vh;
}
</style>
